﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using WebFormsMvp.Web;
using WebFormsMVPExample.Views;
using WebFormsMVPExample.ViewModels;
using WebFormsMVPExample.Models;

namespace WebFormsMVPExample
{
    public partial class CategorySelection : MvpUserControl<CategorySelectionViewModel>, CategorySelectionView
    {
        public void CategoryChanged(object sender, EventArgs e)
        {
            if (SelectedCategoryChanged != null)
                SelectedCategoryChanged(this, new EventArgs());
        }

        public IList<Category> GetCategories()
        {
            if (LoadData != null)
                LoadData(this, EventArgs.Empty);

            return Model.Categories;
        }

        public event EventHandler LoadData;
        public event EventHandler SelectedCategoryChanged;

        public int SelectedCategoryId
        {
            get { return Int32.Parse(CategoryList.SelectedValue); }
        }
    }
}