﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using WebFormsMvp;
using WebFormsMVPExample.Views;

namespace WebFormsMVPExample.Presenters
{
    public class ActivityCategoryDetailsPresenter : Presenter<ActivityCategoryDetailsView>
    {
        public ActivityCategoryDetailsPresenter(ActivityCategoryDetailsView view) : base(view)
        {
            View.Load += View_Load;
        }

        public void View_Load(object sender, EventArgs e)
        {
            this.Messages.Subscribe<CategorySelectedEventArgs>((args) =>
            {
                if (args.Category.Type == Models.CategoryType.Activity)
                    View.ShowActivityDetails();
                else
                    View.HideActivityDetails();
            });
        }

        public override void ReleaseView()
        {
            View.Load -= View_Load;
        }
    }
}