﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using WebFormsMVPExample.Views;
using WebFormsMvp;
using WebFormsMVPExample.Repositories;
using WebFormsMVPExample.Models;
using WebFormsMVPExample.ViewModels;

namespace WebFormsMVPExample.Presenters
{
    public class CategorySelectionPresenter : Presenter<CategorySelectionView>
    {
        CategoryRepository repository;

        public CategorySelectionPresenter(CategorySelectionView view, CategoryRepository repository) : base(view)
        {
            this.repository = repository;
            View.LoadData += View_LoadData;
            View.SelectedCategoryChanged += View_SelectedCategoryChanged;
        }

        public override void ReleaseView()
        {
            View.LoadData -= View_LoadData;
            View.SelectedCategoryChanged -= View_SelectedCategoryChanged;
        }

        public void View_LoadData(object sender, EventArgs e)
        {
            View.Model = new CategorySelectionViewModel(repository.GetAll());
        }

        public void View_SelectedCategoryChanged(object sender, EventArgs e)
        {
            Category category = repository.Get(View.SelectedCategoryId);
            this.Messages.Publish<CategorySelectedEventArgs>(new CategorySelectedEventArgs(category));
        }
    }
}