﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using WebFormsMvp;
using WebFormsMVPExample.Views;
using WebFormsMVPExample.Models;

namespace WebFormsMVPExample.Presenters
{
    public class ComponentCategoryDetailsPresenter: Presenter<ComponentCategoryDetailsView>
    {
        public ComponentCategoryDetailsPresenter(ComponentCategoryDetailsView view) : base(view)
        {
            View.Load += View_Load;
        }

        public void View_Load(object sender, EventArgs e)
        {
            this.Messages.Subscribe<CategorySelectedEventArgs>((args) =>
            {
                if (args.Category.Type == CategoryType.Component)
                    View.ShowComponentDetails();
                else
                    View.HideComponentDetails();
            });
        }

        public override void  ReleaseView()
        {
            View.Load -= View_Load;
        }
    }
}