﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using WebFormsMVPExample.Models;

namespace WebFormsMVPExample.Repositories
{
    public class CategoryRepository
    {
        public Category Get(int id)
        {
            Category category = new Category();
            category.Id = id;
            category.Name = "Category " + id;
            category.Type = GetCategoryType(id);

            return category;
        }

        public IList<Category> GetAll()
        {
            IList<Category> categories = new List<Category>();
            for (int i = 1; i <= 10; i++)
            {
                Category category = new Category();
                category.Id = i;
                category.Name = "Category " + i;
                category.Type = GetCategoryType(i);
                categories.Add(category);
            }

            return categories;
        }

        private CategoryType GetCategoryType(int id)
        {
            if (id <= 0)
                return CategoryType.None;
            else if (id % 2 == 0)
                return CategoryType.Activity;
            else
                return CategoryType.Component;
        }
    }
}